Bug 241689 - (CVE-2007-2692) CVE-2007-2692 mysql SECURITY INVOKER functions do not drop privileges
CVE-2007-2692 mysql SECURITY INVOKER functions do not drop privileges
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.mysql.com/bug.php?id=27337
impact=low,source=gentoo,reported=200...
: Security
Depends On: 243990 243991 282471
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 11:53 EDT by Red Hat Product Security
Modified: 2009-10-23 15:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 04:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-05-29 11:53:04 EDT
Description of problem:

Functions declared as SECURITY INVOKER do not drop privileges upon
return and thus make it possible for an authenticated user calling
then can gain certain privileges.

Version-Release number of selected component (if applicable):

MySQL 5.0.x before 5.0.40 and 5.1.x before 5.1.18
Comment 8 Red Hat Product Security 2008-07-25 04:13:32 EDT
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0894.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0364.html

Comment 9 Red Hat Bugzilla 2009-10-23 15:05:40 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.